from wagtail.admin.edit_handlers import FieldPanel
from wagtail.core.fields import RichTextField
from wagtail.core.models import Page


class HomeIndexPage(Page):
    ### FIELDS

    body = RichTextField("obsah")

    ### PANELS

    content_panels = Page.content_panels + [
        FieldPanel("body"),
    ]

    ### RELATIONS

    subpage_types = []

    ### OTHERS

    class Meta:
        verbose_name = "Maják homepage"


class HomeUnderConstructionPage(Page):
    class Meta:
        verbose_name = "Web se připravuje"
